# hal-classifier

Cette instance propose des outils de classification pour HAL



## Utilisation

- [V1/en/classhalen]

### V1/en/classhalen

Ce service permet d'attribuer un domaine de premier niveau de la base HAL à des documents en anglais

Prend en entrée du JSON avec deux champs: `id` et `value`, et renvoie un JSON
avec le code langue dans le champ `value`.

### V1/fr/classhalfr

Ce service permet d'attribuer un domaine de premier niveau de la base HAL à des documents en français

Prend en entrée du JSON avec deux champs: `id` et `value`, et renvoie un JSON
avec le code langue dans le champ `value`.

#### Paramètres de v1/en/classhalen et v1/fr/classhalfr

| nom    | description                                                            |
| :----- | :--------------------------------------------------------------------- |
| indent | `true` ou `false`, indente le JSON résultat ou non (`true` par défaut) |

#### Exemple

```bash
$ cat<<EOF|curl --proxy "" -X POST --data-binary @- "https://hal-classifier.services.inist.fr/v1/en/classhalen?indent=true"
[{"id":"1","value":"In the southern French Massif Central, the Montagne Noire axial zone is a NE-SW elongated granite-migmatite dome emplaced within Visean south-verging recumbent folds and intruded by syn- to late-migmatization granitoids. The tectonic setting of this dome is still disputed, thus several models have been proposed. In order to better understand the emplacement mechanism of this dome, petrofabric and Anisotropy of Magnetic Susceptibility (AMS) studies have been carried out. In the granites and migmatites that form the dome core, magmatic texture and to a lesser extent weak solid-state texture are dominant. As a paramagnetic mineral, biotite is the main carrier of the magnetic susceptibility. On the basis of 135 AMS sites, the magnetic fabrics appear as independent of the lithology but related to the dome architecture. Coupling our results with previous structural and geochronological studies, allows us to propose a new emplacement model. Between 340-325 Ma, the Palaeozoic series underwent a compressional deformation represented by nappes and recumbent folds involving the thermal event leading to partial melting. Until ~325-310 Ma, the dome emplacement was assisted by diapiric processes. An extensional event took place at 300 Ma, after the emplacement of the late to post-migmatitic granitic plutons. In the northeast side of the dome, a brittle normal-dextral faulting controlled the opening of the Graissessac coal-basin."}]
EOF

```

Sortie

```json
[{
    "id": 1,
    "value": "Planète et Univers [physics]"
}]
```
